%define base_name       xml-light

Name:           ocaml-%{base_name}
Version:        2.4
Release:        %mkrel 6
Summary:        Minimal XML parser & printer for OCaml
URL:            https://github.com/ncannasse/xml-light/
Source:         https://github.com/ncannasse/xml-light/archive/%{version}.tar.gz
License:        LGPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler

%description
Xml-Light is a minimal XML parser & printer for OCaml. 
It provide functions to parse an XML document into an OCaml data structure, 
work with it, and print it back to an XML document. 
It support also DTD parsing and checking, and is entirely written in OCaml, 
hence it does not require additional C library.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}-%{version}
chmod 644 README *.mli
perl -pi -e 's/\015$//' README

%build
make
make doc

if [ -f META ]; then exit 1; fi
cat > META <<EOF
version = "%{version}"
description = "Minimal XML parser & printer for OCaml"
archive(byte) = "xml-light.cma"
archive(native) = "xml-light.cmxa"
EOF

%install
install -d %{buildroot}%{_libdir}/ocaml/xml-light
make install INSTALLDIR=%{buildroot}%{_libdir}/ocaml/xml-light
cp META %{buildroot}%{_libdir}/ocaml/xml-light/

%files
%doc README
%dir %{_libdir}/ocaml/xml-light
%{_libdir}/ocaml/xml-light/*.cmi
%{_libdir}/ocaml/xml-light/*.cma
%{_libdir}/ocaml/xml-light/*.cmxs
%{_libdir}/ocaml/xml-light/META

%files devel
%doc doc
%{_libdir}/ocaml/xml-light/*.a
%{_libdir}/ocaml/xml-light/*.cmx
%{_libdir}/ocaml/xml-light/*.cmxa
%{_libdir}/ocaml/xml-light/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 2.4-6.mga6
+ Revision: 1056455
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 2.4-5.mga6
+ Revision: 930818
- Rebuild for new ocaml

* Thu Feb 19 2015 daviddavid <daviddavid> 2.4-4.mga5
+ Revision: 815941
- bump release to rebuild on Core/Release repo

* Wed Oct 15 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 749244
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + malo <malo>
    - update to 2.4

* Sat Oct 19 2013 umeabot <umeabot> 2.2-24.mga4
+ Revision: 533912
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 2.2-23.mga4
+ Revision: 475766
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 2.2-22.mga3
+ Revision: 361707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 2.2-21.mga3
+ Revision: 301688
- new rpm group for ocaml

* Sat Sep 01 2012 malo <malo> 2.2-20.mga3
+ Revision: 286900
- Upstream patch for CVE-2012-3514 (bug 7276) - use Map instead of Hashtbl

  + blue_prawn <blue_prawn>
    - just a test

* Sun Oct 02 2011 shlomif <shlomif> 2.2-19.mga2
+ Revision: 151105
- Rebuild for new OCaml - thanks to Malo.

* Sat Apr 30 2011 pterjan <pterjan> 2.2-18.mga1
+ Revision: 93943
- Bump release higher than Mandriva

* Mon Mar 07 2011 saispo <saispo> 2.2-1.mga1
+ Revision: 66122
- imported package ocaml-xml-light

